clc, clear;

data1 = csvread("sim3_trajectory.csv", 2, 0);
data2 = csvread("sim3_detector_log.csv", 2, 0);

plot3(data1(:,2), data1(:,3), data1(:,4), "b-")
hold on
plot3(data2(:,3), data2(:,4), data2(:, 5), "r*")
axis equal

title("Graf pohybu kladně nabité částice v magnetickém poli ve směru osy Z")
xlabel('x [m]')
ylabel('y [m]')
zlabel('z [m]')

legend({"Dráha kladně nabité částice", "Průnik částice hladinou detektoru"}, 'Location', 'northwest')
legend('boxoff')
axis equal